curl -X PUT "https://api.unipay.com/v1/webhooks/wh_123" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"events": ["transaction.completed", "transaction.failed"]}'
{
"webhookId": "wh_123",
"url": "https://your-app.com/webhooks",
"events": ["transaction.completed", "transaction.failed"],
"updatedAt": "2026-04-22T12:30:00Z"
}
Webhooks
Update Webhook
Update webhook configuration
PUT
/
v1
/
webhooks
/
{webhookId}
curl -X PUT "https://api.unipay.com/v1/webhooks/wh_123" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"events": ["transaction.completed", "transaction.failed"]}'
{
"webhookId": "wh_123",
"url": "https://your-app.com/webhooks",
"events": ["transaction.completed", "transaction.failed"],
"updatedAt": "2026-04-22T12:30:00Z"
}
Update Webhook
Update an existing webhook’s URL or subscribed events.Path Parameters
string
required
Webhook ID to update
Request Body
string
New webhook URL
array
Updated list of events to subscribe to
curl -X PUT "https://api.unipay.com/v1/webhooks/wh_123" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"events": ["transaction.completed", "transaction.failed"]}'
{
"webhookId": "wh_123",
"url": "https://your-app.com/webhooks",
"events": ["transaction.completed", "transaction.failed"],
"updatedAt": "2026-04-22T12:30:00Z"
}